#
# spec file for package librdkafka
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define libname %{name}1
Name:           librdkafka
Version:        0.11.6
Release:        lp152.4.3.1
Summary:        A library for changing configuration files
License:        BSD-2-Clause
Group:          Development/Libraries/C and C++
URL:            https://github.com/edenhill/librdkafka
Source0:        https://github.com/edenhill/librdkafka/archive/v%{version}.tar.gz
Patch0:		0001-Align-bundled-c11-threads-tinycthreads-constants-to-.patch
BuildRequires:  cyrus-sasl-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  openssl-devel
BuildRequires:  pkgconfig
# lz4 is not in SLE12 available
%if 0%{?sle_version} >= 150000 && !0%{?is_opensuse}
BuildRequires:  liblz4-devel
%endif

%description
librdkafka is a C library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.

%package -n %{libname}
Summary:        A library for changing configuration files
Group:          System/Libraries

%description -n %{libname}
librdkafka is a C library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.

%package devel
Summary:        Development files for the Kafka C/C++ library
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
librdkafka is a C library implementation of the Apache Kafka protocol,
containing both Producer and Consumer support.

This package contains development headers and examples.

%prep
%setup -q
%autopatch -p1

%build
%configure --enable-ssl \
%if 0%{?sle_version} >= 150000 && !0%{?is_opensuse}
           --enable-lz4 \
%else
           --disable-lz4 \
%endif
           --enable-sasl
make %{?_smp_mflags}

%check
make %{?_smp_mflags} check

%install
%make_install
find %{buildroot} -name '*.a' -delete -print

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%doc README.md CONFIGURATION.md
%license LICENSE
%{_libdir}/librdkafka.so.*
%{_libdir}/librdkafka++.so.*

%files devel
%dir %{_includedir}/librdkafka
%attr(0644,root,root) %{_includedir}/librdkafka/*
%attr(0755,root,root) %{_libdir}/librdkafka.so
%attr(0755,root,root) %{_libdir}/librdkafka++.so
%{_libdir}/pkgconfig/rdkafka.pc
%{_libdir}/pkgconfig/rdkafka++.pc
%{_libdir}/pkgconfig/rdkafka-static.pc
%{_libdir}/pkgconfig/rdkafka++-static.pc

%changelog
* Thu Aug 26 2021 Marcus Meissner <meissner@suse.com>
- 0001-Align-bundled-c11-threads-tinycthreads-constants-to-.patch:
  fixed thread creation on SLES 15 SP3 (bsc#1189792)
* Fri Dec 14 2018 astieger@suse.com
- fix pkg-config provides warning
* Mon Dec 10 2018 Thomas Bechtold <tbechtold@suse.com>
- Don't BuildRequire lz4 on SLE12
- Do not use %%make_build which is not available on SLE12
* Thu Dec  6 2018 Thomas Bechtold <tbechtold@suse.com>
- Add missing Requires to -devel package
* Thu Nov 29 2018 Jan Engelhardt <jengelh@inai.de>
- Update summaries. Remove performance results that do not
  mention their reference.
- Remove duplicate Group/Summary fields.
- Fix rpmlint's "librdkafka.x86_64: W: no-binary"
- Fix shlib package requiring itself. Remove excess Provides.
* Thu Nov 29 2018 Thomas Bechtold <tbechtold@suse.com>
- Fix Requires for -devel package
* Thu Nov 29 2018 Thomas Bechtold <tbechtold@suse.com>
- Initial packaging (version 0.11.6)
